=== debian/changelog ===
suil (0.10.10-1) UNRELEASED; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Mon, 16 May 2022 20:23:23 +0800

suil (0.10.10-1) unstable; urgency=medium

  * New upstream version 0.10.10
  * d/watch: Update pgpsigurlmangle for asc files
  * Bump S-V to 4.5.1, no changes needed

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 17 Jan 2021 22:34:55 +0100
