=== debian/control ===
Source: suil
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 libgtk2.0-dev,
 libgtk-3-dev,
 libqt5x11extras5-dev,
 lv2-dev (>= 1.16),
 qtbase5-dev,
 qttools5-dev-tools,
 pkg-config,
 python3
Standards-Version: 4.5.1
Homepage: https://drobilla.net/software/suil/
Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
Rules-Requires-Root: no

Package: libsuil-dev
Section: libdevel
Architecture: any
Depends:
 libsuil-0-0 (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 pkg-config
Multi-Arch: same
Description: Development files for suil
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and QT5
 .
 This package provides the development files for suil.

Package: libsuil-0-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ${shlibs:Recommends}
Multi-Arch: same
Description: library for loading and wrapping LV2 plugin UIs
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and QT5
 .
 This package provides the shared library.
