=== debian/changelog ===
suil (0.10.12-1) unstable; urgency=medium

  * New upstream version 0.10.12
  * Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself
  * d/rules: Remove unneeded linker flags
  * Add salsa ci config
  * d/watch: Set pgpmode=auto

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 30 May 2022 23:51:07 +0200
