=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  qttools5-dev-tools,
  pkg-config,
  python3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://drobilla.net/software/suil/
 Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
