=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export CC
 export PKGCONFIG = $(PKG_CONFIG)
