## suil 0.10.18

=== meson_options.txt ===
# Copyright 2021-2022 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('cocoa', type: 'feature', value: 'auto', yield: true,
       description : 'Build Cocoa wrappers')

option('docs', type: 'feature', value: 'auto', yield: true,
       description: 'Build documentation')

option('gtk2', type: 'feature', value: 'auto', yield: true,
       description : 'Build Gtk2 wrappers')

option('gtk3', type: 'feature', value: 'auto', yield: true,
       description : 'Build Gtk3 wrappers')

option('qt5', type: 'feature', value: 'auto', yield: true,
       description : 'Build Qt5 wrappers')

option('strict', type: 'boolean', value: false, yield: true,
       description: 'Enable ultra-strict warnings')

option('tests', type: 'feature', value: 'auto', yield: true,
       description: 'Build tests')

option('title', type: 'string', value: 'Suil',
       description: 'Project title')

option('x11', type: 'feature', value: 'auto', yield: true,
       description : 'Build X11 wrappers')
