=== debian/changelog ===
suil (0.10.18-1) unstable; urgency=medium

  * New upstream version 0.10.18
  * d/watch: Check for .gz and .xz files too
  * Build with meson
  * Remove obsolete d/clean
  * d/copyright: Remove waf entry and BSD license, and update copyright year
  * d/gbp.conf: Remove wrong compression
  * Add d/libsuil-0-0.lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 23 Sep 2022 15:57:54 +0200
