=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  libgtk-3-dev,
  libqt5x11extras5-dev,
  lv2-dev (>= 1.16),
+ meson,
  qtbase5-dev,
  qttools5-dev-tools,
  pkg-config,
