=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export CC
export PKGCONFIG = $(PKG_CONFIG)

CONFIG += docs strict

%:
	dh $@ --buildsystem=meson

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_shlibdeps:
	dh_shlibdeps -X libsuil_ -- \
		-dRecommends $(wildcard debian/libsuil-0-0/usr/lib/$(DEB_HOST_MULTIARCH)/suil-0/*.so) \
		-dDepends
