## suil 0.10.20

=== debian/changelog ===
suil (0.10.20-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 19:37:34 +0100

suil (0.10.20-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.10.20
  * debian/: Remove left-overs from waf
  * debian/control:
    - Bump Standards-Version
    - Update Description

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 00:56:14 +0100
