=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
  libqt5x11extras5-dev,
  lv2-dev (>= 1.16),
  meson,
+ ninja-build,
  qtbase5-dev,
  qttools5-dev-tools,
  pkg-config,
- python3
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://drobilla.net/software/suil/
 Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
@@ -41,7 +41,7 @@
  is designed such that hosts do not need to explicitly support
  particular toolkits whatsoever - if Suil supports a particular
  toolkit, then all hosts that use Suil will support that toolkit
- "for free". Suil currently supports GTK-2+ and QT5
+ "for free". Suil currently supports Gtk3 and Qt5.
  .
  This package provides the development files for suil.
 
@@ -62,6 +62,6 @@
  is designed such that hosts do not need to explicitly support
  particular toolkits whatsoever - if Suil supports a particular
  toolkit, then all hosts that use Suil will support that toolkit
- "for free". Suil currently supports GTK-2+ and QT5
+ "for free". Suil currently supports Gtk3 and Qt5.
  .
  This package provides the shared library.
