=== debian/changelog ===
suil (0.10.22-1) unstable; urgency=medium

  * New upstream version 0.10.22
  * pkg-config => pkgconf
  * Drop gtk2 support (Closes: #967760)
  * Bump Standards-Version to 4.7.0
  * Bump d/copyright years and add files licensed under 0BSD license

 -- Dennis Braun <snd@debian.org>  Sun, 09 Feb 2025 15:44:47 +0100
