=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
- libgtk2.0-dev,
  libgtk-3-dev,
  libqt5x11extras5-dev,
  lv2-dev (>= 1.16),
@@ -16,8 +15,8 @@
  ninja-build,
  qtbase5-dev,
  qttools5-dev-tools,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://drobilla.net/software/suil/
 Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
@@ -30,7 +29,7 @@
  libsuil-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Recommends:
- pkg-config
+ pkgconf
 Multi-Arch: same
 Description: Development files for suil
  Suil makes it possible to load a UI of any toolkit in a host using
