=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_shlibdeps:
	dh_shlibdeps -X libsuil_ -- \
		-dRecommends $(wildcard debian/libsuil-0-0/usr/lib/$(DEB_HOST_MULTIARCH)/suil-0/*.so) \
		-dDepends
