=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://download.drobilla.net/suil-(.*)\.(?:tar\.(?:gz|bz2|xz))
