=== debian/changelog ===
suil (0.10.24-1) unstable; urgency=medium

  * New upstream version 0.10.24
  * Change my email address
  * Update d/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove redudant rules-requires-root-no field

 -- Dennis Braun <snd@debian.org>  Tue, 18 Nov 2025 16:21:13 +0100
