=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libgtk-3-dev,
@@ -16,11 +16,10 @@
  qtbase5-dev,
  qttools5-dev-tools,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://drobilla.net/software/suil/
 Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
-Rules-Requires-Root: no
 
 Package: libsuil-dev
 Section: libdevel
