## suil 0.10.26

=== debian/changelog ===
suil (0.10.26-1) unstable; urgency=medium

  * New upstream version 0.10.26
  * Remove redundant-priority-optional-field
  * Bump Standards-Version to 4.7.3
  * Bump d/copyright years
  * Remove obsolete d/libsuil-0-0.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Sun, 01 Mar 2026 19:57:57 +0100
