=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: suil
 Section: libs
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
@@ -16,7 +15,7 @@
  qtbase5-dev,
  qttools5-dev-tools,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://drobilla.net/software/suil/
 Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
